<?php

/*******************************************
 *                                         *
 *     Filmverwaltung mit PHP & MySQL      *
 *                                         *
 *******************************************
 *                                         *
 * Copyright: ab 2005 Dominik Erdmann      *
 *  Internet: www.der-domi.de              *
 *     Email: kontakt@der-domi.de          *
 *                                         *
 *******************************************
 *                                         *
 * Das Skript darf nach eigenem Belieben   *
 * gendert werden. Copyright-Hinweise und *
 * Links auf www.der-domi.de drfen nicht  *
 * verndert werden und mssen jederzeit   *
 * sichtbar bleiben!                       *
 *                                         *
 *******************************************
 */

/*
 * Alles was mit Kollektion zu tun hat!
 */


if ( $_SESSION['UserRechte'] < 600 )
    exit();

if ( $myVar->MenuID == 593 && $_SESSION['UserRechte'] >= 600 )
{
    $var = array();
    $var = $myVar->getRequest($var,TRUE); 
    
    echo "<form method=\"post\" name=\"addCollect\" action=\"{$_SERVER['PHP_SELF']}\">";
    echo "<fieldset>";
    echo "<legend>Neue Kollektion einf&uuml;gen</legend>";
    echo $var;
    echo "<input type=\"text\" style=\"margin: 0; padding: 0; width: 13em; vertical-align:middle\" name=\"CollectName\" maxlength=\"23\" />";
    echo "<input type=\"submit\" class=\"buttonSubmit\" style=\"vertical-align:middle\" value=\"hinzuf&uuml;gen\" />";
    echo "<input type=\"hidden\" name=\"sent\" value=\"1\" />";
    echo "<input type=\"hidden\" name=\"addCollect\" value=\"1\" />";
    echo "</fieldset>";
    echo "</form>";
    
    
    echo "<form method=\"post\" name=\"renameCollect\" action=\"{$_SERVER['PHP_SELF']}\">";
    echo "<fieldset style=\"margin-top:2em\">";
    echo "<legend>Kollektion umbenennen</legend>";
    echo $var;
    echo "<select style=\"margin: 0; padding: 0; vertical-align:middle\" name=\"setCollectID\">";
    $sql = "SELECT * FROM $myDB->COLLECT";
    if ( $_SESSION['UserRechte'] == 600 )
        $sql .= " WHERE brauchtPrivileg<=".$_SESSION['CollectPrivileg'];
    $sql .= " ORDER BY Bezeichnung";
    $rs = $myDB->go($sql);
    while( $row = $myDB->getRow($rs) )
        echo "<option value=\"{$row['CollectID']}\">{$row['Bezeichnung']}</option>";
    echo "</select> in ";
    echo "<input type=\"text\" style=\"margin: 0; padding: 0; width: 13em; vertical-align:middle\" name=\"CollectName\" maxlength=\"23\" />";
    echo "<input type=\"submit\" class=\"buttonSubmit\" style=\"vertical-align:middle\" value=\"umbenennen\" />";
    echo "<input type=\"hidden\" name=\"sent\" value=\"1\" />";
    echo "<input type=\"hidden\" name=\"renameCollect\" value=\"1\" />";
    echo "</fieldset>";
    echo "</form>";
    
    
    echo "<form method=\"post\" name=\"renameCollectID\" action=\"{$_SERVER['PHP_SELF']}\">";
    echo "<fieldset style=\"margin-top:2em\">";
    echo "<legend>KollektionsID umbenennen</legend>";
    echo $var;
    echo "<select style=\"margin: 0; padding: 0; vertical-align:middle\" name=\"setCollectID\">";
    $sql = "SELECT * FROM $myDB->COLLECT";
    if ( $_SESSION['UserRechte'] == 600 )
        $sql .= " WHERE brauchtPrivileg<=".$_SESSION['CollectPrivileg'];
    $sql .= " ORDER BY Bezeichnung";
    $rs = $myDB->go($sql);
    while( $row = $myDB->getRow($rs) )
        echo "<option value=\"{$row['CollectID']}\">{$row['Bezeichnung']}: {$row['CollectID']}</option>";
    echo "</select> in ";
    echo "<input type=\"text\" style=\"margin: 0; padding: 0; width: 3.1em; vertical-align:middle\" name=\"newCollectID\" maxlength=\"3\" />";
    echo "<input type=\"submit\" class=\"buttonSubmit\" style=\"vertical-align:middle\" value=\"umbenennen\" />";
    echo "<input type=\"hidden\" name=\"sent\" value=\"1\" />";
    echo "<input type=\"hidden\" name=\"renameCollectID\" value=\"1\" />";
    echo "<p><strong>Hinweis:</strong> Durch Umbenennen der KollektionsID &auml;ndern sich auch deren FilmID's!</p>";
    echo "</fieldset>";
    echo "</form>";
    
    
    echo "<form method=\"post\" name=\"istStandardCollect\" action=\"{$_SERVER['PHP_SELF']}\">";
    echo "<fieldset style=\"margin-top:2em\">";
    echo "<legend>Kollektion als Standard setzen</legend>";
    echo $var;
    echo "<select style=\"margin: 0; padding: 0; vertical-align:middle\" name=\"setCollectID\">";
    $sql = "SELECT * FROM $myDB->COLLECT";
    if ( $_SESSION['UserRechte'] == 600 )
        $sql .= " WHERE brauchtPrivileg<=".$_SESSION['CollectPrivileg'];
    $sql .= " ORDER BY Bezeichnung";
    $rs = $myDB->go($sql);
    while( $row = $myDB->getRow($rs) )
        if ( $row['istStandard'] == 0 )
            echo "<option value=\"{$row['CollectID']}\">{$row['Bezeichnung']}</option>";
        else
            echo "<option value=\"{$row['CollectID']}\" selected=\"selected\" style=\"font-weight:bold\">{$row['Bezeichnung']}</option>";
    echo "</select>";
    echo "<input type=\"submit\" class=\"buttonSubmit\" style=\"vertical-align:middle\" value=\"Standard\" />";
    echo "<input type=\"hidden\" name=\"sent\" value=\"1\" />";
    echo "<input type=\"hidden\" name=\"istStandardCollect\" value=\"1\" />";
    echo "</fieldset>";
    echo "</form>";
    
    
    echo "<form method=\"post\" name=\"deleteCollect\" action=\"{$_SERVER['PHP_SELF']}\">";
    echo "<fieldset style=\"margin-top:2em\">";
    echo "<legend>Kollektion l&ouml;schen</legend>";
    echo $var;
    echo "<select style=\"margin: 0; padding: 0; vertical-align:middle\" name=\"setCollectID\">";
    $sql = "SELECT * FROM $myDB->COLLECT";
    if ( $_SESSION['UserRechte'] == 600 )
        $sql .= " WHERE brauchtPrivileg<=".$_SESSION['CollectPrivileg'];
    $sql .= " ORDER BY Bezeichnung";
    $rs = $myDB->go($sql);
    while( $row = $myDB->getRow($rs) )
        echo "<option value=\"{$row['CollectID']}\">{$row['Bezeichnung']}</option>";
    echo "</select>";
    echo "<input type=\"submit\" class=\"buttonSubmitWarning\" style=\"vertical-align:middle\" value=\"l&ouml;schen\" />";
    echo "<input type=\"hidden\" name=\"sent\" value=\"1\" />";
    echo "<input type=\"hidden\" name=\"deleteCollect\" value=\"1\" />";
    echo "</fieldset>";
    echo "</form>";
    
    // Nur Superadmin hat das Recht, Privilegien zu setzen!
    if ( $_SESSION['UserRechte'] == 900 )
    {
        echo "<form method=\"post\" name=\"PrivilegCollect\" action=\"{$_SERVER['PHP_SELF']}\">";
        echo "<fieldset style=\"margin-top:2em\">";
        echo "<legend>Privileg einer Kollektion festlegen</legend>";
        echo $var;
        echo "<select style=\"margin: 0; padding: 0; vertical-align:middle\" name=\"setCollectID\">";
        $sql = "SELECT * FROM $myDB->COLLECT";
        if ( $_SESSION['UserRechte'] == 600 )
            $sql .= " WHERE brauchtPrivileg<=".$_SESSION['CollectPrivileg'];
        $sql .= " ORDER BY Bezeichnung";
        $rs = $myDB->go($sql);
        while( $row = $myDB->getRow($rs) )
            echo "<option value=\"{$row['CollectID']}\">{$row['Bezeichnung']}: {$row['brauchtPrivileg']}</option>";
        echo "</select> &auml;ndern in ";
        echo "<input type=\"text\" style=\"margin: 0; padding: 0; width: 3.1em; vertical-align:middle\" name=\"brauchtPrivileg\" maxlength=\"2\" />";
        echo "<input type=\"submit\" class=\"buttonSubmit\" style=\"vertical-align:middle\" value=\"&auml;ndern\" />";
        echo "<input type=\"hidden\" name=\"sent\" value=\"1\" />";
        echo "<input type=\"hidden\" name=\"PrivilegCollect\" value=\"1\" />";
        echo "</fieldset>";
        echo "</form>";
    }
}

?>
