<?php

/*******************************************
 *                                         *
 *     Filmverwaltung mit PHP & MySQL      *
 *                                         *
 *******************************************
 *                                         *
 * Copyright: ab 2005 Dominik Erdmann      *
 *  Internet: www.der-domi.de              *
 *     Email: kontakt@der-domi.de          *
 *                                         *
 *******************************************
 *                                         *
 * Das Skript darf nach eigenem Belieben   *
 * gendert werden. Copyright-Hinweise und *
 * Links auf www.der-domi.de drfen nicht  *
 * verndert werden und mssen jederzeit   *
 * sichtbar bleiben!                       *
 *                                         *
 *******************************************
 */

/*
 * Alles was mit Genres zu tun hat!
 */


if ( $_SESSION['UserRechte'] < 600 )
    exit();

if ( $myVar->MenuID == 597 && $_SESSION['UserRechte'] >= 600 )
{
    $var = array();
    $var = $myVar->getRequest($var,TRUE); 
    
    echo "<form method=\"post\" name=\"addGenre\" action=\"{$_SERVER['PHP_SELF']}\">";
    echo "<fieldset>";
    echo "<legend>Neues Genre einf&uuml;gen</legend>";
    echo $var;
    echo "<input type=\"text\" style=\"margin: 0; padding: 0; width: 13em; vertical-align:middle\" name=\"GenreName\" maxlength=\"23\" />";
    echo "<input type=\"submit\" class=\"buttonSubmit\" style=\"vertical-align:middle\" value=\"hinzuf&uuml;gen\" />";
    echo "<input type=\"hidden\" name=\"sent\" value=\"1\" />";
    echo "<input type=\"hidden\" name=\"addGenre\" value=\"1\" />";
    echo "</fieldset>";
    echo "</form>";
    
    
    echo "<form method=\"post\" name=\"renameGenre\" action=\"{$_SERVER['PHP_SELF']}\">";
    echo "<fieldset style=\"margin-top:2em\">";
    echo "<legend>Genre umbenennen</legend>";
    echo $var;
    echo "<select style=\"margin: 0; padding: 0; vertical-align:middle\" name=\"setGenreID\">";
    $sql = "SELECT * FROM $myDB->GENRES";
    if ( $_SESSION['UserRechte'] == 600 )
        $sql .= " WHERE brauchtPrivileg<=".$_SESSION['GenrePrivileg'];
    $sql .= " ORDER BY Name";
    $rs = $myDB->go($sql);
    while( $row = $myDB->getRow($rs) )
        echo "<option value=\"{$row['GenreID']}\">{$row['Name']}</option>";
    echo "</select> in ";
    echo "<input type=\"text\" style=\"margin: 0; padding: 0; width: 13em; vertical-align:middle\" name=\"GenreName\" maxlength=\"23\" />";
    echo "<input type=\"submit\" class=\"buttonSubmit\" style=\"vertical-align:middle\" value=\"umbenennen\" />";
    echo "<input type=\"hidden\" name=\"sent\" value=\"1\" />";
    echo "<input type=\"hidden\" name=\"renameGenre\" value=\"1\" />";
    echo "</fieldset>";
    echo "</form>";
    
    
    echo "<form method=\"post\" name=\"deleteGenre\" action=\"{$_SERVER['PHP_SELF']}\">";
    echo "<fieldset style=\"margin-top:2em\">";
    echo "<legend>Genre l&ouml;schen</legend>";
    echo $var;
    echo "<select style=\"margin: 0; padding: 0; vertical-align:middle\" name=\"setGenreID\">";
    $sql = "SELECT * FROM $myDB->GENRES";
    if ( $_SESSION['UserRechte'] == 600 )
        $sql .= " WHERE brauchtPrivileg<=".$_SESSION['GenrePrivileg'];
    $sql .= " ORDER BY Name";
    $rs = $myDB->go($sql);
    while( $row = $myDB->getRow($rs) )
        echo "<option value=\"{$row['GenreID']}\">{$row['Name']}</option>";
    echo "</select>";
    echo "<input type=\"submit\" class=\"buttonSubmitWarning\" style=\"vertical-align:middle\" value=\"l&ouml;schen\" />";
    echo "<input type=\"hidden\" name=\"sent\" value=\"1\" />";
    echo "<input type=\"hidden\" name=\"deleteGenre\" value=\"1\" />";
    echo "</fieldset>";
    echo "</form>";
    
    // Nur Superadmin hat das Recht, Privilegien zu setzen!
    if ( $_SESSION['UserRechte'] == 900 )
    {
        echo "<form method=\"post\" name=\"PrivilegGenre\" action=\"{$_SERVER['PHP_SELF']}\">";
        echo "<fieldset style=\"margin-top:2em\">";
        echo "<legend>Privileg eines Genre festlegen</legend>";
        echo $var;
        echo "<select style=\"margin: 0; padding: 0; vertical-align:middle\" name=\"setGenreID\">";
        $sql = "SELECT * FROM $myDB->GENRES";
        if ( $_SESSION['UserRechte'] == 600 )
            $sql .= " WHERE brauchtPrivileg<=".$_SESSION['GenrePrivileg'];
        $sql .= " ORDER BY Name";
        $rs = $myDB->go($sql);
        while( $row = $myDB->getRow($rs) )
            echo "<option value=\"{$row['GenreID']}\">{$row['Name']}: {$row['brauchtPrivileg']}</option>";
        echo "</select> &auml;ndern in ";
        echo "<input type=\"text\" style=\"margin: 0; padding: 0; width: 3.1em; vertical-align:middle\" name=\"brauchtPrivileg\" maxlength=\"2\" />";
        echo "<input type=\"submit\" class=\"buttonSubmit\" style=\"vertical-align:middle\" value=\"&auml;ndern\" />";
        echo "<input type=\"hidden\" name=\"sent\" value=\"1\" />";
        echo "<input type=\"hidden\" name=\"PrivilegGenre\" value=\"1\" />";
        echo "</fieldset>";
        echo "</form>";
    }
}

?>
